BOOTLOGD(8)

BEZEICHNUNG
bootlogd - Boot-Meldungen aufzeichnen

ÜBERSICHT
/sbin/bootlogd [-c] [-d] [-e] [-r] [-s] [-v] [ -l Protokolldatei ] [ -p PID-Datei ]

BESCHREIBUNG
bootlogd wird im Hintergrund ausgeführt und kopiert alle an das Gerät /dev/console gesendeten Zeichenketten in eine Protokolldatei. Falls auf die Protokolldatei nicht zugegriffen werden kann, werden die Meldungen im Speicher behalten, bis der Zugriff wieder möglich ist.

OPTIONEN

-d  führt keinen Fork durch und das Programm im Hintergrund aus.

-e  gibt Escape-Zeichen in die Boot-Protokolldatei aus. Dadurch wird die Filterung der Escape-Zeichen deaktiviert und Werkzeugen wie GNU less(1) ermöglicht, diese zu sehen und Farb-Steuerzeichen zu verwenden (also das Protokoll farbig anzuzeigen).

-c  versucht, auch dann in die Protokolldatei zu schreiben, wenn diese noch nicht existiert. Ohne diese Option wartet bootlogd, bis die Protokolldatei erscheint, bevor ein Schreibversuch unternommen wird. Dieses Verhalten hindert bootlogd daran, Protokolldateien unterhalb von Einhängepunkten zu erstellen.

-r  benennt eine vorhandene Protokolldatei um, indem dem Namen eine Tilde angehängt wird (Protokolldatei~), außer wenn Protokolldatei~ bereits vorhanden ist.

-s  stellt sicher, dass die Daten tatsächlich in die Datei geschrieben werden, indem nach jeder Zeile fdatasync(3) aufgerufen wird. Dadurch wird ein parallel laufender fsck(8)-Prozess verlangsamt.

-v  zeigt die Version an.

-l Protokolldatei
    speichert in die angegebene Protokolldatei. Die Vorgabe ist /var/log/boot.

-p PID-Datei
    speichert die Prozesskennung (PID) in dieser Datei. Standardmäßig wird keine PID-Datei gespeichert.

ANMERKUNGEN
bootlogd speichert die Protokolldaten einschließlich der Steuerzeichen. Die Protokolldaten sind technisch eine Textdatei, aber für Menschen nicht leicht zu lesen. Um dies zu adressieren, kann der Befehl readbootlog(1) zur Anzeige des Systemstartprotokolls ohne Steuerzeichen verwandt werden.

FEHLER
bootlogd arbeitet, indem es die Konsolenausgabe von dem Konsolengerät umleitet. (Konsequenterweise benötigt bootlogd PTY-Unterstützung in der Kernelkonfiguration.) Es kopiert die Ausgabe auf das echte Konsolengerät und in die Protokolldatei. Es gibt keine Standardmethode, das echte Konsolengerät festzustellen, falls Sie ein neuartiges /dev/console-Gerät (Hauptnummer 5, Unternummer 1) haben, daher wertet bootlogd die Kernelbefehlszeile aus und sucht nach Zeilen der Form console=… und leitet daraus das echte Konsolengerät ab. Falls diese Syntax jemals vom Kernel geändert wird oder ein Konsolentyp verwandt wird, den bootlogd nicht kennt, dann wird bootlogd nicht funktionieren.

AUTOR
Miquel van Smoorenburg (miquels@cistron.nl)

SIEHE AUCH
dmesg(8), fdatasync(3), readbootlog(1)